Skip to main content
PUT

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

id
string
required

Id of the Waiting Strategy being updated.

Body

application/json
maximumWaitTime
DurationApiModel · object
required

Duration information.

conditionType
enum<string>
required

Defines which waiting strategy entity the condition applies to. Once defined, cannot be changed.

Available options:
SENDER,
QUEUE
condition
Condition · object
required

Defines how the 'condition' field is built, e.g., if 'SENDER', the condition is an object with an array of senders.

name
string

Waiting strategy name.

Required string length: 1 - 128
greetingMessage
OptionWithFileOrTtsAudioSourceApiModel · object

File audio source or TTS audio source information.

musicOnHold
OptionWithFileAudioSourceApiModel · object

File audio source information.

announcementMessage
OptionWithPeriodicCollectApiModel · object
maximumWaitTimeMessage
OptionWithFileOrTtsAudioSourceApiModel · object

File audio source or TTS audio source information.

Response

OK

id
string

Unique id of the waiting strategy.

name
string

Waiting strategy name.

maximumWaitTime
DurationApiModel · object

Duration information.

greetingMessage
OptionWithFileOrTtsAudioSourceApiModel · object

File audio source or TTS audio source information.

musicOnHold
OptionWithFileAudioSourceApiModel · object

File audio source information.

announcementMessage
OptionWithPeriodicCollectApiModel · object
callbackConfirmationMessage
OptionWithFileOrTtsAudioSourceApiModel · object

File audio source or TTS audio source information.

maximumWaitTimeMessage
OptionWithFileOrTtsAudioSourceApiModel · object

File audio source or TTS audio source information.

conditionType
enum<string>

Defines which waiting strategy entity the condition applies to. Once defined, cannot be changed.

Available options:
SENDER,
QUEUE
condition
Condition · object

Defines how the 'condition' field is built, e.g., if 'SENDER', the condition is an object with an array of senders.

createdAt
string<date-time>

Time at which the waiting strategy was created.

updatedAt
string<date-time>

Time stamp when waiting strategy is updated.